Bug 1801863 - must-gather fails after failed ipv6 azure install
Summary: must-gather fails after failed ipv6 azure install
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Abhinav Dahiya
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-11 19:01 UTC by Dan Winship
Modified: 2020-05-04 11:36 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:36:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3094 None closed Bug 1801863: Azure: fix must-gather in ipv6/dual-stack clusters 2020-02-25 09:12:22 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:36:27 UTC

Description Dan Winship 2020-02-11 19:01:03 UTC
When trying and failing to install a 4.4 IPv6 or dual-stack cluster on Azure (following the directions from https://github.com/openshift/installer/pull/2847), the installer then fails to run must-gather because it uses the wrong IP address.

Comment 2 Gaoyun Pei 2020-02-15 07:42:03 UTC
Verified this bug using installer from payload 4.4.0-0.nightly-2020-02-15-024625

$ ./openshift-install version
./openshift-install v4.4.0
built from commit a627412646a322daa6596bdb5bcefe8c64690439
release image registry.svc.ci.openshift.org/ocp/release@sha256:5de81fdc8361b00a6b46dfa822f52e7495f8555cbc88d99b4b634869c1f9ddb1

After a 4.4 ipv6 single-stack installation on Azure failed(which is expected for now), use the installer to gather debugging logs.

$ ./openshift-install gather bootstrap --key ./x.pem --bootstrap 13.89.107.24  --master 10.0.0.5
INFO Pulling debug logs from the bootstrap machine
INFO Bootstrap gather logs captured here "log-bundle-20200215055500.tar.gz"

$ ./openshift-install gather bootstrap --key ./x.pem --bootstrap 2603:1030:b:3::48 --master 10.0.0.5
INFO Pulling debug logs from the bootstrap machine
INFO Bootstrap gather logs captured here "log-bundle-20200215055739.tar.gz"

$ ./openshift-install gather bootstrap --key ./x.pem --bootstrap 2603:1030:b:3::48 --master fd00::5
INFO Pulling debug logs from the bootstrap machine
INFO Bootstrap gather logs captured here "log-bundle-20200215060021.tar.gz"

$ ./openshift-install gather bootstrap --key ./x.pem --bootstrap 13.89.107.24 --master fd00::5
INFO Pulling debug logs from the bootstrap machine
INFO Bootstrap gather logs captured here "log-bundle-20200215072937.tar.gz"

Comment 3 Gaoyun Pei 2020-02-15 08:00:14 UTC
Also found there's some problem when using master's ipv6 address for gathering logs, filed https://bugzilla.redhat.com/show_bug.cgi?id=1803321 to track.

Comment 4 Dan Winship 2020-02-15 19:57:21 UTC
(In reply to Gaoyun Pei from comment #2)
> After a 4.4 ipv6 single-stack installation on Azure failed(which is expected
> for now), use the installer to gather debugging logs.
> 
> $ ./openshift-install gather bootstrap --key ./x.pem --bootstrap
> 13.89.107.24  --master 10.0.0.5

Sorry, the problem was that it was detecting the wrong IP address when it tried to *automatically* run must-gather after a failed install. If you are manually running must-gather and telling it explicitly what IP to use then that's not testing the fix.

Comment 8 errata-xmlrpc 2020-05-04 11:36:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.